.\"	$NetBSD: mount_kernfs.8,v 1.15 2004/11/21 09:09:46 jmmv Exp $
.\"
.\" Copyright (c) 1992, 1993, 1994
.\"	The Regents of the University of California.  All rights reserved.
.\" All rights reserved.
.\"
.\" This code is derived from software donated to Berkeley by
.\" Jan-Simon Pendry.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)mount_kernfs.8	8.2 (Berkeley) 3/27/94
.\"
.Dd September 8, 2003
.Dt MOUNT_KERNFS 8
.Os
.Sh NAME
.Nm mount_kernfs
.Nd mount the /kern file system
.Sh SYNOPSIS
.Nm
.Op Fl o Ar options
.Ar /kern
.Ar mount_point
.Sh DESCRIPTION
The
.Nm
command attaches an instance of the kernel parameter
namespace to the global filesystem namespace.
The conventional mount point is
.Pa /kern .
The directory specified by
.Ar mount_point
is converted to an absolute path before use.
This command is normally executed by
.Xr mount 8
at boot time.
.Pp
The filesystem includes several regular files which can be read,
some of which can also be written.
The contents of the files is in a machine-independent format,
either a string, or an integer in decimal ASCII.
Where numbers are returned, a trailing newline character is also added.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl o
Options are specified with a
.Fl o
flag followed by a comma separated string of options.
See the
.Xr mount 8
man page for possible options and their meanings.
.El
.Sh FILES
.Bl -tag -width copyright -compact
.It Pa boottime
the time at which the system was last booted (decimal ASCII).
.It Pa copyright
kernel copyright message.
.It Pa hostname
the hostname, with a trailing newline.
The hostname can be changed by writing to this file.
A trailing newline will be stripped from the hostname being written.
.It Pa hz
the frequency of the system clock (decimal ASCII).
.It Pa ipsecsa
the directory that contains IPsec security associations (SA) in
.Dv PF_KEY
format.
Filenames are SPI in decimal number.
The content of files can be inspected by using
.Xr setkey 8 .
.It Pa ipsecsp
the directory that contains IPsec security policies in
.Dv PF_KEY
format.
Filenames are security policy ID in decimal number.
The content of files can be inspected by using
.Xr setkey 8 .
.It Pa loadavg
the 1, 5 and 15 minute load average in kernel fixed-point format.
The final integer is the fix-point scaling factor.
All numbers are in decimal ASCII.
.It Pa msgbuf
the kernel message buffer, also read by
.Xr syslogd 8 ,
through the
.Pa log
device, and by
.Xr dmesg 8 .
.It Pa pagesize
the machine pagesize (decimal ASCII).
.It Pa physmem
the number of pages of physical memory in the machine (decimal ASCII).
.\" .It Pa root
.\" the system root directory.
.\" In a chroot'ed environment,
.\" .Nm
.\" can be used to create a new
.\" .Pa /kern
.\" mount point.
.\" .Pa /kern/root
.\" will then refer to the system global root, not the current process root.
.It Pa rootdev
the root device.
.It Pa rrootdev
the raw root device.
.It Pa time
the second and microsecond value of the system clock.
Both numbers are in decimal ASCII.
.It Pa version
the kernel version string.
The head line for
.Pa /etc/motd
can be generated by running:
.Dq Ic "sed 1q /kern/version"
.El
.Sh SEE ALSO
.Xr mount 2 ,
.Xr unmount 2 ,
.Xr ipsec 4 ,
.Xr fstab 5 ,
.Xr dmesg 8 ,
.Xr mount 8 ,
.Xr setkey 8 ,
.Xr syslogd 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Bx 4.4 .
.Sh BUGS
This filesystem may not be NFS-exported.
.Pp
.Xr lkm 4
version does not support IPsec-related files/directories.
